Debian Bug report logs - #625777
g++-mingw-w64: locale::facet::_S_create_c_locale name not valid

Package: g++-mingw-w64; Maintainer for g++-mingw-w64 is Stephen Kitt <skitt@debian.org>; Source for g++-mingw-w64 is src:gcc-mingw-w64.

Reported by: Mathieu Malaterre <malat@debian.org>

Date: Thu, 10 Mar 2011 15:33:02 UTC

Severity: important

Merged with 617686

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Robert Millan <rmh.debian@aybabtu.com>:
Bug#617686; Package gcc-mingw32. (Thu, 10 Mar 2011 15:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
New Bug report received and forwarded. Copy sent to Robert Millan <rmh.debian@aybabtu.com>. (Thu, 10 Mar 2011 15:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mathieu Malaterre <mathieu.malaterre@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-mingw32: locale::facet::_S_create_c_locale name not valid
Date: Thu, 10 Mar 2011 16:29:15 +0100
[Message part 1 (text/plain, inline)]
Package: gcc-mingw32
Version: 4.4.4-0.1+b1
Severity: important


Hi,

The attached c++ code always trigger an exception. However
std::locale("") should be valid on my system.

$ /usr/sbin/validlocale ""
locale '' valid and available

Compilation:

$ /usr/bin/i586-mingw32msvc-g++ l.cxx
$ wine ./a.exe
locale::facet::_S_create_c_locale name not valid

Thanks

-- System Information:
Debian Release: 6.0
 APT prefers squeeze-updates
 APT policy: (500, 'squeeze-updates'), (500, 'stable'), (200,
'testing'), (100, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.37-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gcc-mingw32 depends on:
ii  libc6                     2.11.2-10      Embedded GNU C Library: Shared lib
ii  libgmp3c2                 2:4.3.2+dfsg-1 Multiprecision arithmetic library
ii  libmpfr4                  3.0.0-2        multiple precision floating-point
ii  mingw32-binutils          2.20-0.1       Minimalist GNU win32 (cross) binut

Versions of packages gcc-mingw32 recommends:
ii  mingw-w64                   0~20100125-3 Minimalist GNU w64 (cross) runtime
ii  mingw32-runtime             3.13-1       Minimalist GNU win32 (cross) runti

Versions of packages gcc-mingw32 suggests:
pn  cpp-doc                       <none>     (no description available)
pn  gcc-doc                       <none>     (no description available)

-- no debconf information



-- 
Mathieu
[l.cxx (text/x-c, attachment)]

Bug 617686 cloned as bug 625777. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Thu, 05 May 2011 21:36:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'gcc-mingw32' to 'mingw-w64'. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Thu, 05 May 2011 21:36:07 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gcc-mingw32/4.4.4-0.1. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Thu, 05 May 2011 21:36:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Kitt <steve@sk2.org>:
Bug#625777; Package mingw-w64. (Thu, 19 Jan 2012 07:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Leutloff <leutloff@sundancer.oche.de>:
Extra info received and forwarded to list. Copy sent to Stephen Kitt <steve@sk2.org>. (Thu, 19 Jan 2012 07:24:04 GMT) Full text and rfc822 format available.

Message #16 received at 625777@bugs.debian.org (full text, mbox):

From: Christian Leutloff <leutloff@sundancer.oche.de>
To: 625777@bugs.debian.org
Subject: Exception may be triggered by an too old libstdc++
Date: Thu, 19 Jan 2012 08:13:13 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Mathieu,

the exception is caused by the libstdc++ used to compile your
executable. This seems to be intentional, because the libstdc++ does
not support the std::locale (other than "C").

Here are some hints about the topic:

http://gcc.gnu.org/ml/libstdc++/2003-02/msg00345.html
http://sources.redhat.com/bugzilla/show_bug.cgi?id=165

I am sure that this behavior is present in Lenny
(libstdc++6-4.3-dev:4.3.2-1.1) and is gone in Ubuntu 11.11
(libstdc++6-4.6-dev:)4.6.1-9ubuntu3). So somewhere in between it has
been fixed.

Bye
Christian

- -- 
Christian Leutloff, Düren, Germany
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk8XwoQACgkQLVfh8xXlDWwWbQCcC/lcNRFFq7fYFxMDzJ66KXUB
ftkAn2pLhEE97ANfRFuxcsW4QrZLVS8w
=3k5n
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#625777; Package mingw-w64. (Thu, 19 Jan 2012 22:51:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Kitt <steve@sk2.org>:
Extra info received and forwarded to list. (Thu, 19 Jan 2012 22:51:35 GMT) Full text and rfc822 format available.

Message #21 received at 625777@bugs.debian.org (full text, mbox):

From: Stephen Kitt <steve@sk2.org>
To: Christian Leutloff <leutloff@sundancer.oche.de>, 625777@bugs.debian.org, 625777-submitter@bugs.debian.org
Subject: Re: Bug#625777: Exception may be triggered by an too old libstdc++
Date: Thu, 19 Jan 2012 23:31:09 +0100
[Message part 1 (text/plain, inline)]
Hi Christian,

On Thu, Jan 19, 2012 at 08:13:13AM +0100, Christian Leutloff wrote:
> the exception is caused by the libstdc++ used to compile your
> executable. This seems to be intentional, because the libstdc++ does
> not support the std::locale (other than "C").
> 
> Here are some hints about the topic:
> 
> http://gcc.gnu.org/ml/libstdc++/2003-02/msg00345.html
> http://sources.redhat.com/bugzilla/show_bug.cgi?id=165

Thanks for pointing that out!

> I am sure that this behavior is present in Lenny
> (libstdc++6-4.3-dev:4.3.2-1.1) and is gone in Ubuntu 11.11
> (libstdc++6-4.6-dev:)4.6.1-9ubuntu3). So somewhere in between it has
> been fixed.

I just checked with version 4.6.2, and the check against the "C"
locale and the exception for any request other than that is still
present (see libstdc++-v3/config/locale/generic/c_locale.cc in the gcc
source). Have you been able to produce Windows-targeted binaries
without this behaviour?

Regards,

Stephen
[signature.asc (application/pgp-signature, inline)]

Message sent on to Mathieu Malaterre <mathieu.malaterre@gmail.com>:
Bug#625777. (Thu, 19 Jan 2012 22:52:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Mathieu Malaterre <malat@debian.org>' from 'Mathieu Malaterre <mathieu.malaterre@gmail.com>' Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 13:54:28 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mingw-w64' to 'g++-mingw-w64'. Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 06:42:03 GMT) Full text and rfc822 format available.

Merged 617686 625777 Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 06:42:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'g++-mingw-w64: locale::facet::_S_create_c_locale name not valid' from 'gcc-mingw32: locale::facet::_S_create_c_locale name not valid' Request was from Stephen Kitt <steve@sk2.org> to control@bugs.debian.org. (Wed, 18 Apr 2012 06:42:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 17:51:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.